Bug 10982 - Merge qmake build fixes from unity
Summary: Merge qmake build fixes from unity
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-22 01:25 PDT by Rob Buis
Modified: 2007-06-13 10:33 PDT (History)
2 users (show)

See Also:


Attachments
Add qmake2 buildsystem for building the WC + JSC lib (48.47 KB, patch)
2006-11-16 05:48 PST, Enrico Ros
rwlbuis: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis 2006-09-22 01:25:14 PDT
Make webkit build using qmake
Comment 1 Enrico Ros 2006-11-03 03:24:54 PST
The qmake buildsystem has been brought up-to-date and synched with current svn. Thanks to the work done at Unity we now have a clean, cross platform, build system.
Comment 2 Enrico Ros 2006-11-03 03:37:33 PST
Added the patch to the related http://bugs.webkit.org/show_bug.cgi?id=10901 bug. I wish I would reopen that one, but I found out I can't.
Please close both when the patch is in.
Comment 3 Simon Hausmann 2006-11-04 10:48:37 PST
Enrico, can you attach the patch to this bug report instead and flag it as '?' in the review field? Otherwise the Apple guys don't see it from http://webkit.org/pending-review
Comment 4 Enrico Ros 2006-11-16 05:48:22 PST
Created attachment 11537 [details]
Add qmake2 buildsystem for building the WC + JSC lib

Add qmake 2 support for building the WebKit lib

Here is the patch to add support for building a 'WebKitQt' library from
JavaScriptCore and WebCore trees. It compiles core stuff plus everything that
is PLATFORM(QT).

The lib is build by:
- webkit-qt.pro
- JavaScriptCore / JavaScriptCore.pri
- JavaScriptCore / pcre / PCRE.pri
- WebCore / WebCore.pri
supporting conditionals for XPATH, XSLT, XBL, SVG.

An additional webkit-qt.pri makes it easy for applications to build with the
generated library.
Thanks to tronical for getting it ready for inclusion.

Updated to Head rev 17782 (yesterday), synced with CMake buildsystem.
Comment 5 Rob Buis 2006-11-19 03:12:03 PST
Hi,

(In reply to comment #4)
> Created an attachment (id=11537) [edit]
> Add qmake2 buildsystem for building the WC + JSC lib
> 
> Add qmake 2 support for building the WebKit lib
> 
> Here is the patch to add support for building a 'WebKitQt' library from
> JavaScriptCore and WebCore trees. It compiles core stuff plus everything that
> is PLATFORM(QT).
> 
> The lib is build by:
> - webkit-qt.pro
> - JavaScriptCore / JavaScriptCore.pri
> - JavaScriptCore / pcre / PCRE.pri
> - WebCore / WebCore.pri
> supporting conditionals for XPATH, XSLT, XBL, SVG.
> 
> An additional webkit-qt.pri makes it easy for applications to build with the
> generated library.
> Thanks to tronical for getting it ready for inclusion.
> 
> Updated to Head rev 17782 (yesterday), synced with CMake buildsystem.

I think in general, as far as I can judge, it looks good. However I can see two problems.
First, there are constructions like this:

+#        kcanvas/device/qt/KCanvasFilterQt.cpp \
+#        kcanvas/device/qt/KCanvasImageItemQt.cpp \

I think if there is no such file (anymore) it is best to just remove those lines, not comment them.
Finally, svg filters files have been moved around recently, so this patch will not work. Can you adapt the patch to these changes?
I am going to r- it for above reasons. Once these 2 issues are fixed it looks good enough to me, but people that have more build system knowledge than me may want to check too. 
Cheers,

Rob.
Comment 6 George Staikos 2007-06-13 10:33:21 PDT
Long ago fixed